import React from 'react'
import styles from './index.module.scss'
import { Image } from 'antd-mobile'

type Props = {
  src: string
}

function LazyImg({ src }: Props) {
  return (
    <Image
      className={styles.LazyImg}
      lazy
      src={src}
      placeholder={<div className='lodingTxt'>加载中...</div>}
    />
  )
}

const MemoLazyImg = React.memo(LazyImg)

export default MemoLazyImg
